# TabPro - Table Data Converter

TabPro is a Python-based tool for efficient processing of tabular data.

## Main Features

### Data Format Conversion
- Supported Formats:
  - CSV
  - TSV
  - Excel
  - JSON
  - JSON Lines
- Bidirectional conversion between all supported formats

### Table Operations
1. **Table Conversion** (`convert_tables.py`)
   - Convert table data between different formats
   - Customize output format settings

2. **Table Merging** (`merge_tables.py`)
   - Merge tables based on common columns
   - Efficient handling of multiple table merging

3. **Table Aggregation** (`aggregate_tables.py`)
   - Data aggregation based on grouping
   - Statistical calculations

4. **Table Sorting** (`sort_tables.py`)
   - Sort data based on specified columns
   - Multi-column sorting with custom order

5. **Table Comparison** (`compare_tables.py`)
   - Detect differences between multiple tables
   - Data consistency checking

## Features
- Simple and user-friendly command-line interface
- Flexible data processing options
- Handles large datasets efficiently
- Extensible design
